> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/vpc-network/createvpc.md).

# CreateVpc

## 1. API Description

This API (CreateVpc) is used to create a global VPC.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type                                                                         | Description                                                                                                                                                                                              |
| --------------- | -------- | ---------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| name            | Yes      | String                                                                       | <p>Global VPC name to be displayed.</p><p>This parameter must start and end with a number or a letter, containing 2 to 63 characters. Only letters, numbers, - and periods (.) are supported.</p>        |
| cidrBlock       | Yes      | String                                                                       | The CIDR block of the VPC. Must belong to one of the following four private address ranges: 10.0.0.0/9, 10.128.0.0/9, 172.16.0.0/12, or 192.168.0.0/16.                                                  |
| mtu             | Yes      | Integer                                                                      | The MTU (Maximum Transmission Unit) of the VPC. Supported values: 1300, 1500, 9000.                                                                                                                      |
| enablePriIpv6   | No       | Boolean                                                                      | <p>Enable private IPv6 or not. Private IPv6 is disabled by default.</p><p>Default value: false .</p><p>Once enabled, private IPv6 CIDR block function cannot be disabled.</p><p>Default value: false</p> |
| resourceGroupId | No       | String                                                                       | <p>Resource group ID where the global VPC resides.</p><p>If the value is empty, the global VPC will belong to the Default Resource Group.</p>                                                            |
| tags            | No       | [TagAssociation](/api-reference/compute/zec/datastructure.md#tagassociation) | Tags to associate when creating the VPC. Tag keys within the same resource cannot be duplicated.                                                                                                         |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| vpcId          | String | Global VPC ID.                                                                                                        |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Create a global VPC.**

<pre class="language-json"><code class="lang-json"><strong>POST /api/v2/zec HTTP/1.1
</strong>Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateVpc


Request:
{
  "name": "vpcXXX",
  "cidrBlock": "10.0.0.0/9",
  "mtu": 1300,
  "enablePriIpv6": false,
  "resourceGroupId": "xxxx"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "vpcId": "xxxx"
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                          | Description                                   |
| ---------------- | --------------------------------------------------- | --------------------------------------------- |
| 400              | INVALID\_CIDR\_BLOCK\_FORMAT                        | Invalid CIDR block format.                    |
| 400              | INVALID\_CIDR\_BLOCK\_NETMASK\_RANGE                | CIDR block range is invalid.                  |
| 400              | INVALID\_CIDR\_BLOCK\_NOT\_EMPTY                    | CIDR block cannot be empty.                   |
| 400              | INVALID\_CIDR\_BLOCK\_NOT\_LAN\_IP                  | CIDR block must be a private IP range.        |
| 400              | INVALID\_IP\_BROADCAST\_ADDRESS                     | The IP address cannot be a broadcast address. |
| 400              | UNSUPPORTED\_OPERATION\_TEAM\_NETWORK\_COUNT\_LIMIT | Global VPC quantity exceeds limit.            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/vpc-network/createvpc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
